Eclipse GEF 3.3

## org.eclipse.gef
Class GEF

    java.lang.Object
      org.eclipse.gef.GEF

Deprecated. in 3.1 This class will be removed in future releases.

public final class GEF
extends java.lang.Object

This is an internal class used for debugging

Field Summary
`static boolean` `DebugDND` Deprecated.
`static boolean` `DebugEditParts` Deprecated.
`static boolean` `DebugEvents` Deprecated.
`static boolean` `DebugFeedback` Deprecated.
`static boolean` `DebugPainting` Deprecated.
`static boolean` `DebugTools` Deprecated.
`static boolean` `DebugToolStates` Deprecated.
`static boolean` `GlobalDebug` Deprecated.

Constructor Summary
`GEF()` Deprecated.

Method Summary
`static void` `clearConsole()` Deprecated. Clears the trace console if active
`static void` `debug(java.lang.String message)` Deprecated. Prints the given message to a trace window if available.
`static void` `debugPop()` Deprecated. decrements the tracing indentation
`static void` `debugPush(java.lang.String heading)` Deprecated. Prints the given string to a trace window and increments indentation.
`static void` `setConsole(Text textBox)` Deprecated. Sets a text control to be used as a console.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DebugTools

    public static boolean DebugTools

  Deprecated.

### DebugEvents

    public static boolean DebugEvents

  Deprecated.

### DebugEditParts

    public static boolean DebugEditParts

  Deprecated.

### DebugPainting

    public static boolean DebugPainting

  Deprecated.

### DebugFeedback

    public static boolean DebugFeedback

  Deprecated.

### GlobalDebug

    public static boolean GlobalDebug

  Deprecated.

### DebugToolStates

    public static boolean DebugToolStates

  Deprecated.

### DebugDND

    public static boolean DebugDND

  Deprecated.

Constructor Detail

### GEF

    public GEF()

  Deprecated.

Method Detail

### clearConsole

    public static void clearConsole()

  Deprecated.
  Clears the trace console if active

  Since:
    1.0

### setConsole

    public static void setConsole(Text textBox)

  Deprecated.
  Sets a text control to be used as a console.

  Parameters:
    `textBox` - the text control for streaming
  Since:
    1.0

### debugPop

    public static void debugPop()

  Deprecated.
  decrements the tracing indentation

  Since:
    2.0

### debugPush

    public static void debugPush(java.lang.String heading)

  Deprecated.
  Prints the given string to a trace window and increments indentation.

  Parameters:
    `heading` - the message describing the indented text to follow
  Since:
    2.0

### debug

    public static void debug(java.lang.String message)

  Deprecated.
  Prints the given message to a trace window if available.

  Parameters:
    `message` - a debug message
  Since:
    1.0

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.